#define MIX_XMLTOKEN_CPP_

#include "XMLToken.h"


namespace MiX{
  
  template <class charT,class char_traits,class xml_traits>
  XMLToken<charT,char_traits,xml_traits>::XMLToken(const charT* first,const charT* last,TokenType type,long index){
    str_.assign(first,last);
    type_ = type;
    index_ = index;
  }
  
}
